Bug 1291169 - Review Request: ccdciel - CCD capture software
Review Request: ccdciel - CCD capture software
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: Astronomy-SIG
  Show dependency treegraph
 
Reported: 2015-12-14 03:39 EST by Mattia Verga
Modified: 2016-01-28 19:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 19:23:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattia Verga 2015-12-14 03:39:19 EST
Spec URL: http://coolbits.it/files/ccdciel.spec
SRPM URL: http://coolbits.it/files/ccdciel-0.2.0-3.20151214svn.fc23.src.rpm
Description: CCDciel is a free CCD capture software intended for the amateur astronomer. 
It include all the features required to perform digital imaging 
CCD observation of celestial objects.
Using the standard drivers protocol INDI and ASCOM it can connect and control 
the CCD camera, the focuser, the filter wheel and the telescope mount.
It tightly integrates with Skychart and indistarter to provide a 
complete suite for astronomical observation and imaging
Fedora Account System Username:mattia
Comment 1 Upstream Release Monitoring 2015-12-14 03:51:13 EST
mattia's scratch build of ccdciel-0.2.0-3.20151214svn.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12180678
Comment 3 Mattia Verga 2015-12-17 12:43:02 EST
Spec URL: http://coolbits.it/fedora/ccdciel.spec
SRPM URL: http://coolbits.it/fedora/ccdciel-0.2.0-5.20151216svn.fc23.src.rpm

Sorry, broken link, now it's ok.
Comment 4 Mattia Verga 2016-01-01 08:37:29 EST
I'm closing this for the moment: all libraries included in Ccdciel are being ported in a separate package (libpasastro) that is now under review.

I will reopen this review when libpasastro will be ready and I can make major changes to Ccdciel.
Comment 5 Mattia Verga 2016-01-16 04:54:26 EST
Spec URL: http://coolbits.it/fedora/ccdciel.spec
SRPM URL: http://coolbits.it/fedora/ccdciel-0.2.0-9.20160105svn.fc23.src.rpm

Libpasastro is now in Fedora repositories, so I can reopen this review request. Please note that CCDciel requires libpasastro for full functionality, but rpm  doesn't find this requires automatically, so I need to explicit require it in .spec
Comment 6 Christian Dersch 2016-01-16 07:27:36 EST
Taken
Comment 7 Christian Dersch 2016-01-16 07:44:54 EST
Package already looks good, but needs some small fixes before i'll approve:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===> False positive, is dnf debuginfo install bug

- Move tests to %check
- Please add architecture to libpasastro dependency


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (with incorrect FSF address)", "GPL
     (v3 or later)", "Unknown or generated", "BSD (3 clause)", "GPL (v2 or
     later) (with incorrect FSF address)". 141 files have unknown license.
     Detailed output of licensecheck in
     /home/review/ccdciel/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

===> Please add architecture to libpasastro dependency
(Requires: libpasastro%{?_isa})

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in ccdciel
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.

===> For fpc packages we need it => is fine

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.

===> Different for fpc like, commented in spec => fine

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ccdciel-
     debuginfo
[?]: Package functions as described.

Will check later, but ok is only a SHOULD item => go

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

==> You execute the checks in install section (desktop-file-validate and appstream-util validate-relax),
    please move them to %check

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/review/ccdciel/results/ccdciel-0.2.0-9.20160105svn.fc24.x86_64.rpm /home/review/ccdciel/results/ccdciel-debuginfo-0.2.0-9.20160105svn.fc24.x86_64.rpm /home/review/ccdciel/results/ccdciel-debuginfo-0.2.0-9.20160105svn.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/review/ccdciel/results/ccdciel-0.2.0-9.20160105svn.fc24.x86_64.rpm /home/review/ccdciel/results/ccdciel-debuginfo-0.2.0-9.20160105svn.fc24.x86_64.rpm /home/review/ccdciel/results/ccdciel-debuginfo-0.2.0-9.20160105svn.fc24.x86_64.rpm --setopt=tsflags=nocontexts

===> dnf fails if package listed twice, no bug with package

Rpmlint
-------
Checking: ccdciel-0.2.0-9.20160105svn.fc24.x86_64.rpm
          ccdciel-debuginfo-0.2.0-9.20160105svn.fc24.x86_64.rpm
          ccdciel-0.2.0-9.20160105svn.fc24.src.rpm
ccdciel.x86_64: E: explicit-lib-dependency libpasastro
ccdciel.x86_64: W: no-manual-page-for-binary ccdciel
ccdciel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ccdciel-0.2.0/component/indiclient/indibasedevice.pas
ccdciel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ccdciel-0.2.0/component/indiclient/indicom.pas
ccdciel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ccdciel-0.2.0/component/indiclient/indibaseclient.pas
ccdciel-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ccdciel-0.2.0/component/indiclient/indiapi.pas
ccdciel.src:50: W: configure-without-libdir-spec
ccdciel.src: W: invalid-url Source0: ccdciel-0.2.0-20160105svn.tar.xz
3 packages and 0 specfiles checked; 5 errors, 3 warnings.

===> Please ask upstream to use correct FSF address un license headers. explicit-lib-dependency is required in this case as mentioned.


Requires
--------
ccdciel-debuginfo (rpmlib, GLIBC filtered):

ccdciel (rpmlib, GLIBC filtered):
    /bin/sh
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpasastro
    libpthread.so.0()(64bit)



Provides
--------
ccdciel-debuginfo:
    ccdciel-debuginfo
    ccdciel-debuginfo(x86-64)

ccdciel:
    appdata()
    appdata(ccdciel.appdata.xml)
    application()
    application(ccdciel.desktop)
    ccdciel
    ccdciel(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 --rpm-spec -n ccdciel-0.2.0-9.20160105svn.fc23.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Mattia Verga 2016-01-16 09:16:36 EST
Spec URL: http://coolbits.it/fedora/ccdciel.spec
SRPM URL: http://coolbits.it/fedora/ccdciel-0.2.0-9.20160105svn.fc23.src.rpm

* Sat Jan 16 2016 Mattia Verga <mattia.verga@tiscali.it> - 0.2.0-10.20160105svn
- Moved tests into %%check
- Added architecture to libpasastro dependency
- Fixed wrong FSF address in sources (and reported upstream)
Comment 9 Mattia Verga 2016-01-16 09:17:24 EST
Spec URL: http://coolbits.it/fedora/ccdciel.spec
SRPM URL: http://coolbits.it/fedora/ccdciel-0.2.0-10.20160105svn.fc23.src.rpm

Sorry, wrong revision number after cut/paste...
Comment 10 Upstream Release Monitoring 2016-01-16 09:31:03 EST
mattia's scratch build of ccdciel-0.2.0-10.20160105svn.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12574929
Comment 11 Christian Dersch 2016-01-16 17:23:21 EST
Fine now, APPROVED and thank you very much for packaging astronomy stuff!
Comment 12 Gwyn Ciesla 2016-01-17 13:22:47 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/ccdciel
Comment 13 Fedora Update System 2016-01-17 14:54:07 EST
ccdciel-0.2.0-10.20160105svn.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-132a0dbc91
Comment 14 Fedora Update System 2016-01-19 22:55:40 EST
ccdciel-0.2.0-10.20160105svn.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-132a0dbc91
Comment 15 Fedora Update System 2016-01-28 19:23:07 EST
ccdciel-0.2.0-10.20160105svn.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.